Bug 231674 - Review Request: libmimedir - Library to parse MIME Directory Profile
Review Request: libmimedir - Library to parse MIME Directory Profile
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Package Reviews List
:
Depends On:
Blocks: 231675
  Show dependency treegraph
 
Reported: 2007-03-09 17:13 EST by Aurelien Bompard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andreas.bierfert: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2007-03-09 17:13:39 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/libmimedir.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/libmimedir-0.4-1.src.rpm
Description: 
This library parses MIME Directory Profile which is defined in RFC 2425.

This library is part of SynCE. SynCE is already in Fedora Extras, but in the form of a monolithic package : all the libraries are in the same RPM. I've splitted it, this is one of the libraries.
This package produces a static library, because it is the default behaviour in the Makefile and I can't get SynCE to compile if I force the creation of a shared library
Comment 1 Aurelien Bompard 2007-04-02 05:09:23 EDT
* Mon Apr 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4-2
- make a -static package

http://gauret.free.fr/fichiers/rpms/fedora/synce/libmimedir-0.4-2.src.rpm
Comment 2 Andreas Bierfert 2007-04-27 05:18:46 EDT
* OK: rpmlint output: W: libmimedir-devel no-documentation can be ignored
 * NOTOK: E: libmimedir-debuginfo empty-debuginfo-package should probably be fixed
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: Spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
156e1eb69377d9ae9180a09e38148ec6  libmimedir-0.4.tar.gz
156e1eb69377d9ae9180a09e38148ec6  /homes/awjb/rpmbuild/SOURCES/libmimedir-0.4.tar.gz
 * OK: Builds fine on x86_64/fc6
 * OK: BR seem fine
 * OK: package has no locale support
 * OK: package does not contain a shared library 
 * OK: package is not explicitly designed to be relocatable
 * OK: package does not create any directories
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: header files are in -devel
 * OK: static lib in -static
 * OK: pkgconfig is not needed
 * OK: no .so file
 * OK: -devel requires main package
 * OK: package does not contain .la archives
 * OK: no .desktop needed
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utf8

The debuginfo package is empty so either turn of the generation of the
debuginfo package or (better) fix the generation.

Other then that consider the package 8edf3312a0ab5b68bf670b50ed2b4f89 
libmimedir-0.4-2.src.rpm APPROVED with the following patch:

--- libmimedir.spec.1	2007-04-27 11:05:23.000000000 +0200
+++ libmimedir.spec	2007-04-27 10:58:24.000000000 +0200
@@ -34,32 +34,23 @@
 %build
 CFLAGS="$RPM_OPT_FLAGS -fPIC" %configure 
 make %{?_smp_mflags}
-# build shared libmimedir to work around x86_64 build error
-#ld --shared --whole-archive libmimedir.a -o libmimedir.so
-#rm libmimedir.a
 
 %install
 rm -rf $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT/%{_libdir}
 mkdir -p $RPM_BUILD_ROOT/%{_includedir}
 install -m 644 libmimedir.h $RPM_BUILD_ROOT%{_includedir}
-install -m 444 libmimedir.a $RPM_BUILD_ROOT%{_libdir}
-#install -m 775 libmimedir.so $RPM_BUILD_ROOT/%{_libdir}/libmimedir.so
+install -m 644 libmimedir.a $RPM_BUILD_ROOT%{_libdir}
 
 rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post -p /sbin/ldconfig
-
-%postun -p /sbin/ldconfig
-
 %files static
 %defattr(-,root,root,-)
 %doc README COPYING ChangeLog
 %{_libdir}/libmimedir.a
-#%{_libdir}/libmimedir.so
 
 %files devel
 %defattr(-,root,root,-)
Comment 3 Aurelien Bompard 2007-04-28 01:37:46 EDT
New Package CVS Request
=======================
Package Name: libmimedir
Short Description: Library to parse MIME Directory Profile
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.